:root {
    --PrimaryColor: #e62727;
    --MarkerMaxLevelColor: #3258a8;
}

body {
    height: 100vh;
    width: 100vw;
    padding: 0;
    margin: 0;
    overflow: hidden;
}

.light-theme {
    --DefaultElementColor: #ebebeb;
    --DefaultForegroundColor: #2e2c2c;
    --DefaultBorderSpacerColor: #111;

    --TableHeaderBackground: #c9c9c9;
    --TableRowEvenBackground: #c9c9c9;
}

.dark-theme {
    --DefaultElementColor: #2e2c2c;
    --DefaultForegroundColor: #ddd;
    --DefaultBorderSpacerColor: #ddd;

    --TableHeaderBackground: #252526;
    --TableRowEvenBackground: #464a52;
}

#coords {
    position: absolute;
    bottom: 8px;
    right: 8px;
    z-index: 1000;
    background-color: var(--DefaultElementColor);
    color: var(--DefaultForegroundColor);
    border-radius: 10px;
    padding: 8px 7px;
    font-family: sans-serif;
    font-size: .8rem;
}

#map {
    width: 100%;
    height: 100%;
    cursor: default;
    background-color: #1E597E;
}

.center {
    text-align: center;
}

.left {
    text-align: left;
}

/*#region Marker */
.marker.size-1 {
    font-size: .5em
}

.marker.size-2 {
    font-size: 1em
}

.marker.size-3 {
    font-size: 2em
}

.marker.size-4 {
    font-size: 3em
}

.marker.size-5 {
    font-size: 4em
}

.marker {
    color: rgb(255, 255, 255);
    background-color: unset;
    text-align: center
}

.fa-house { 
    font-size: 18px;
}

.marker-house {
    background-color: rgb(0, 255, 55);
    width: 30px;
    height: 30px;
    border-radius: 50% 50% 50% 0;
    position: absolute;
    transform: rotate(-45deg);
    top: 80%;
    left: 60%;
    margin: -20px 0 0 -20px;
    box-shadow: 0 6px 6px #32325d4f, 0 1px 3px #00000014;
}

.marker-house:after {
    content: "";
    width: 36px;
    height: 36px;
    margin: 2px 0 0 -18px;
    position: absolute;
    border-radius: 50%;
    background-position: 50% 50%;
    background-size: cover;
    background-repeat: no-repeat;
    transform: rotate(45deg)
}

.fa-warehouse { 
    font-size: 16px;
}

.marker-warehouse {
    background-color: rgb(255, 0, 0);
    width: 30px;
    height: 30px;
    border-radius: 50% 50% 50% 0;
    position: absolute;
    transform: rotate(-45deg);
    top: 85%;
    left: 60%;
    margin: -20px 0 0 -20px;
    box-shadow: 0 6px 6px #32325d4f, 0 1px 3px #00000014;
}

.marker-warehouse:after {
    content: "";
    width: 36px;
    height: 36px;
    margin: 2px 0 0 -18px;
    position: absolute;
    border-radius: 50%;
    background-position: 50% 50%;
    background-size: cover;
    background-repeat: no-repeat;
    transform: rotate(45deg)
}

.fa-street-view { 
    font-size: 16px;
}

.marker-street-view {
    background-color: rgb(255, 0, 255);
    width: 30px;
    height: 30px;
    border-radius: 50% 50% 50% 0;
    position: absolute;
    transform: rotate(-45deg);
    top: 85%;
    left: 60%;
    margin: -20px 0 0 -20px;
    box-shadow: 0 6px 6px #32325d4f, 0 1px 3px #00000014;
}

.marker-street-view:after {
    content: "";
    width: 36px;
    height: 36px;
    margin: 2px 0 0 -18px;
    position: absolute;
    border-radius: 50%;
    background-position: 50% 50%;
    background-size: cover;
    background-repeat: no-repeat;
    transform: rotate(45deg)
}

.marker i {
    margin: 0;
    position: absolute;
    top: 70%;
    left: 47%;
    transform: translate(-50%,-50%);
}

.marker-close:hover {
    cursor: pointer;
}

.marker-sidebar-content {
    position: relative;
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    padding-top: 25px;
}

.marker-sidebar-header {
    position: relative;
    width: 100%;
    color: var(--DefaultForegroundColor);
    text-align: center;
    font-size: 1.3rem;
    padding: 8px 4px;
    border-bottom: 2px solid var(--PrimaryColor);
}

.marker-sidebar-lvl-max {
    width: 100%;
    padding: 6px 4px;
    background: var(--MarkerMaxLevelColor);
    color: #fff;
    text-align: center;
}

.marker-sidebar-lastCheck {
    position: relative;
    bottom: 0;
    margin-top: auto;
    width: 100%;
    padding: 6px 4px;
    font-size: .8rem;
    text-align: center;
    color: var(--DefaultForegroundColor);
}


.marker-sidebar-infolist {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    padding: 3px 5px;
    gap: 5px;
}

.infolist-item {
    border: 1px solid #666;
    border-radius: 5px;
    padding: 5px 8px;
    display: flex;
    align-items: center;
    gap: 5px;
}

.infolist-item-title {
    border-right: 1px solid #666;
    padding-right: 6px;
    font-size: 15px;
    flex-basis: 110px;
}

.infolist-item-title i {
    width: 20px;
}


.infolist-item-value {
    flex: 1 auto;
    text-align: center;
}

/*#endregion Marker */

/* ====================== Marker Popup ====================== */
.marker-popup-header {
    font-size: 1.1rem;
}

.marker-popup-maxLvl {
    margin: 0 !important;
}

.marker-popup-lvlStars {
    color: var(--MarkerMaxLevelColor);
}

/*#region Tables */
.table {
    width: 100%;
    border-spacing: 0px;
    padding: 0 2px;
}

table thead th {
    background: var(--TableHeaderBackground);
    border-bottom: 1px solid var(--PrimaryColor);
}

table, th, td {
    border-bottom: 1px solid rgb(179, 179, 179);
    border-collapse: collapse;
}

.table th, .table td {
    line-height: 1.4rem;
    padding: .4rem .2rem;
    margin: 0px;
}

.table tbody tr:nth-child(even) {
    background: var(--TableRowEvenBackground);
}

/*#endregion Tables */


.sidebar-storeImage {
    width: 100%;
    border-bottom: 2px solid var(--PrimaryColor);
}

 
/* ====================== ThemeToggle ====================== */

.theme-toggleBtn {
    position: absolute;
    top: 8px;
    right: 8px;
    background: var(--DefaultElementColor);
    color: var(--DefaultForegroundColor);
    outline: none;
    border: none;
    border-radius: 10px;
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    cursor: pointer;
}

.dark-theme .theme-toggleBtn i {
    color: #fff;
}


/* ====================== Scrollbar ====================== */

/* width */
::-webkit-scrollbar {
    width: 5px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    background: var(--DefaultElementColor);
  }
  
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: #888;
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: var(--PrimaryColor);
  }